Android Kodi 19.1 on Shield TV- can it do Netflix or Prime Video?
#1
I have a Nvidia Shield TV P2897, which I think is called the 2017 version. I have Kodi on it and it recently automatically updated to 19.1.  I've only tested it with the Mythtv PVR add on and it works fine.

Since Netflix and Prime video have native apps for the Shield TV but those have Framerate Matching problems, I was looking to see if Kodi has a solution?

I have legitimate accounts I'm paying for both services and have seen on other forums where Kodi has solved the Framerate matching problem.

Any help would be appreciated.
Reply
#2
(2021-03-28, 12:12)jfabernathy Wrote: I have Kodi on it and it recently automatically updated to 19.1.

No it didn't, the Shield updated it.

(2021-03-28, 12:12)jfabernathy Wrote: Since Netflix and Prime video have native apps for the Shield TV but those have Framerate Matching problems, I was looking to see if Kodi has a solution?

Simply search the Video Addons section and you'll find the answer.
Reply
#3
(2021-03-28, 12:38)Hitcher Wrote:
(2021-03-28, 12:12)jfabernathy Wrote: I have Kodi on it and it recently automatically updated to 19.1.

No it didn't, the Shield updated it.
(2021-03-28, 12:12)jfabernathy Wrote: Since Netflix and Prime video have native apps for the Shield TV but those have Framerate Matching problems, I was looking to see if Kodi has a solution?

Simply search the Video Addons section and you'll find the answer.
I just searched the Video Addons and there is not Netflix or Prime Video addon listed. I did manage to find a reference to this addon via ZIP

netflix
Reply
#4
NetFlix (the thread for the one you linked above).
Prime Video.

Neither are in the official repo as they need to be kept only semi-official (otherwise Amazon and NetFlix will get grumpy about them), but both are fully legit and supported.
|Banned add-ons (wiki)|Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply
#5
(2021-03-28, 13:18)DarrenHill Wrote: NetFlix (the thread for the one you linked above).
Prime Video.

Neither are in the official repo as they need to be kept only semi-official (otherwise Amazon and NetFlix will get grumpy about them), but both are fully legit and supported.
Thank you very much. I got Netflix working without issue and once I changed the player settings for Adjust Display Framerate to Always and Sync video to TV, it worked fine on European content like The Crown.

I finally got Prime Video to work, however, If I click on Watchlist or Library, I got an error about login problem.  However I am logged in and can search for a program or movie and watch it without any framerate matching issues.

Thanks again.  I'll work my Prime Video issues somewhere else.
Reply
#6
If you need support on the Prime Video stuff, best place is the thread I linked above.

It's not something I personally use so I can't help much, but the users and author in the thread may be able to help more.

The addons are fully supported here. The only reason they're not in the official repo is that the content providers have told us if they are then they'll be forced to act against them, but whilst they're "unofficial" like this then a blind eye can be turned to them...
|Banned add-ons (wiki)|Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply
#7
(2021-03-28, 15:23)DarrenHill Wrote: If you need support on the Prime Video stuff, best place is the thread I linked above.

It's not something I personally use so I can't help much, but the users and author in the thread may be able to help more.

The addons are fully supported here. The only reason they're not in the official repo is that the content providers have told us if they are then they'll be forced to act against them, but whilst they're "unofficial" like this then a blind eye can be turned to them...

I've posted a question there. Thanks.

I've never really understood the reason the content providers care.  All of them have a strong login system, some with 2FA.  If they supported the official platforms better, people would not be trying to solve the issues on their own.  I'm tired of having 3 different devices to try to watch my content that I'm already paying monthly fees to watch. Plus I've had to buy the devices to start with.
Reply
#8
(2021-03-28, 12:12)jfabernathy Wrote: I have a Nvidia Shield TV P2897, which I think is called the 2017 version. I have Kodi on it and it recently automatically updated to 19.1. 

I didn't know 19.1 had been released.
Reply
#9
(2021-03-28, 20:50)DB42 Wrote:
(2021-03-28, 12:12)jfabernathy Wrote: I have a Nvidia Shield TV P2897, which I think is called the 2017 version. I have Kodi on it and it recently automatically updated to 19.1. 

I didn't know 19.1 had been released.
It's what's get installed on Ubuntu with the PPA and it's what's in the Google Play Store
Reply
#10
(2021-03-28, 21:32)jfabernathy Wrote:
(2021-03-28, 20:50)DB42 Wrote:
(2021-03-28, 12:12)jfabernathy Wrote: I have a Nvidia Shield TV P2897, which I think is called the 2017 version. I have Kodi on it and it recently automatically updated to 19.1. 

I didn't know 19.1 had been released.
It's what's get installed on Ubuntu with the PPA and it's what's in the Google Play Store
Funny I just checked the Google Play store and it still shows V19. Not 19.1
Reply
#11
19.1 will probably be a nightly build or suchlike?

19.0 is the current official stable release.
|Banned add-ons (wiki)|Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply
#12
(2021-03-28, 23:06)DarrenHill Wrote: 19.1 will probably be a nightly build or suchlike?

19.0 is the current official stable release.
Duh, I just checked and it's really 19.0 on my system. Who numbers starting from zero? Oh, yeah, programmers  Confused
Reply
#13
Bonjour, tout nouveau sur le forum.. Je souhaite installer amazon vod sur kodi 19.1 mais cela ne fonctionne pas.
J'ai une notification qui indique que l'addon n'est pas compatible avec kodi 19.1. Une solution à m'apporter ? Merci
Reply
#14
@Aqlntk90 - the forum language is English only please.

The use of resources like Google Translate for making your posts is fine if required.

From my limited French knowledge, I think your problem is that you're using Matrix (which runs with Python 3), but you're probably trying to install an addon written for Leia (or before) that is based on Python 2. The two are not compatible, only addons written in Python 3 can be used with Matrix.

Which addon are you having problems with?
|Banned add-ons (wiki)|Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply



Logout Mark Read Team Forum Stats Members Help
Kodi 19.1 on Shield TV- can it do Netflix or Prime Video?0
This forum uses Lukasz Tkacz MyBB addons.